Subject: Re: [PATCH net-next 3/3] net: phy: marvell-88q2xxx: enable temperature sensor in mv88q2xxx_config_init

From: Dimitri Fedrau <[email-masked]>
Date: Fri, 14 Feb 2025 20:45:26 +0100

Hi Niklas,

Am Fri, Feb 14, 2025 at 06:59:38PM +0100 schrieb Niklas Söderlund:
> Hi Dimitir,
> 
> Thanks for your work.
> 
> On 2025-02-14 17:32:05 +0100, Dimitri Fedrau wrote:
> > Temperature sensor gets enabled for 88Q222X devices in
> > mv88q222x_config_init. Move enabling to mv88q2xxx_config_init because
> > all 88Q2XXX devices support the temperature sensor.
> 
> Is this true for mv88q2110 devices too? The current implementation only 
> enables it for mv88q222x devices. The private structure is not even 
> initialized for mv88q2110, and currently crashes. I have fixed that [1], 
> but I'm not sure if that should be extended to also enable temperature 
> sensor for mv88q2110?
> 
Yes, according to the datasheet. I don't have a mv88q2110 device, so I
can't test it. I would like to see it enabled. So if you can test it and
it works why not enabling it. Thanks for finding this.
> > 
> > Signed-off-by: Dimitri Fedrau <[email-masked]>
> 
> In either case with [1] for an unrelated fix this is tested on 
> mv88q2110.
> 
> Tested-by: Niklas Söderlund <[email-masked]>
> 
> 1.  https://lore.kernel.org/all/[email-masked]/
>
[...]

Best regards,
Dimitri Fedrau